//=============================================================================
//  Unified IO - C++ interface for industrial IO cards
//  Copyright (C) 2000, UAB "BBD SOFT" ( http://www.bbdsoft.com/ )
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
//  The author of this program may be contacted at developers@bbdsoft.com
//=============================================================================


#ifndef _OPTO22AC28BASE_INL
#define _OPTO22AC28BASE_INL

#ifndef _BTRACE_
   #include "btrace.hpp"
#endif

//-----------------------------------------------------------------------------
inline unsigned Opto22AC28Base::baseIOPort () const
{
BFUNCTRACE_ALL ();

return theBaseIOPort;
} // end Opto22AC28Base::baseIOPort () const


//-----------------------------------------------------------------------------
inline unsigned Opto22AC28Base::resetPort () const
{
BFUNCTRACE_ALL ();

return theResetPort;
} // end Opto22AC28Base::resetPort () const


//-----------------------------------------------------------------------------
inline bool Opto22AC28Base::resetLevel () const
{
BFUNCTRACE_ALL ();

return theResetLevel;
} // end Opto22AC28Base::resetLevel () const

#endif